<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Detail::IsStreamInsertable&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Detail.html">Detail</a></li><li class="navelem"><a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">IsStreamInsertable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="classCatch_1_1Detail_1_1IsStreamInsertable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Detail::IsStreamInsertable&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a09db174a537d0f802c5d7a15f0420f46"><td class="memItemLeft" align="right" valign="top">static const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html#a09db174a537d0f802c5d7a15f0420f46">value</a> = decltype(<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html#a4269761a8bcae50110c0814462fc4ef0">test</a>&lt;std::ostream, const T&amp;&gt;(0))::value</td></tr>
<tr class="separator:a09db174a537d0f802c5d7a15f0420f46"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a4269761a8bcae50110c0814462fc4ef0"><td class="memTemplParams" colspan="2">template&lt;typename Stream , typename U &gt; </td></tr>
<tr class="memitem:a4269761a8bcae50110c0814462fc4ef0"><td class="memTemplItemLeft" align="right" valign="top">static auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html#a4269761a8bcae50110c0814462fc4ef0">test</a> (int) -&gt; decltype(std::declval&lt; Stream &amp; &gt;()&lt;&lt; std::declval&lt; U &gt;(), std::true_type())</td></tr>
<tr class="separator:a4269761a8bcae50110c0814462fc4ef0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5761375646929916dc5e165d44cd3d9"><td class="memTemplParams" colspan="2">template&lt;typename , typename &gt; </td></tr>
<tr class="memitem:ac5761375646929916dc5e165d44cd3d9"><td class="memTemplItemLeft" align="right" valign="top">static auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html#ac5761375646929916dc5e165d44cd3d9">test</a> (...) -&gt; std::false_type</td></tr>
<tr class="separator:ac5761375646929916dc5e165d44cd3d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4269761a8bcae50110c0814462fc4ef0"><td class="memTemplParams" colspan="2">template&lt;typename Stream , typename U &gt; </td></tr>
<tr class="memitem:a4269761a8bcae50110c0814462fc4ef0"><td class="memTemplItemLeft" align="right" valign="top">static auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html#a4269761a8bcae50110c0814462fc4ef0">test</a> (int) -&gt; decltype(std::declval&lt; Stream &amp; &gt;()&lt;&lt; std::declval&lt; U &gt;(), std::true_type())</td></tr>
<tr class="separator:a4269761a8bcae50110c0814462fc4ef0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5761375646929916dc5e165d44cd3d9"><td class="memTemplParams" colspan="2">template&lt;typename , typename &gt; </td></tr>
<tr class="memitem:ac5761375646929916dc5e165d44cd3d9"><td class="memTemplItemLeft" align="right" valign="top">static auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html#ac5761375646929916dc5e165d44cd3d9">test</a> (...) -&gt; std::false_type</td></tr>
<tr class="separator:ac5761375646929916dc5e165d44cd3d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac5761375646929916dc5e165d44cd3d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5761375646929916dc5e165d44cd3d9">&#9670;&nbsp;</a></span>test() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename , typename &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto <a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; T &gt;::test </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td> -&gt;  std::false_type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5761375646929916dc5e165d44cd3d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5761375646929916dc5e165d44cd3d9">&#9670;&nbsp;</a></span>test() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename , typename &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto <a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; T &gt;::test </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td> -&gt;  std::false_type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4269761a8bcae50110c0814462fc4ef0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4269761a8bcae50110c0814462fc4ef0">&#9670;&nbsp;</a></span>test() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename Stream , typename U &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto <a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; T &gt;::test </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  decltype(std::declval&lt; Stream &amp; &gt;()&lt;&lt; std::declval&lt; U &gt;(), std::true_type())</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4269761a8bcae50110c0814462fc4ef0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4269761a8bcae50110c0814462fc4ef0">&#9670;&nbsp;</a></span>test() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename Stream , typename U &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto <a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; T &gt;::test </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  decltype(std::declval&lt; Stream &amp; &gt;()&lt;&lt; std::declval&lt; U &gt;(), std::true_type())</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a09db174a537d0f802c5d7a15f0420f46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09db174a537d0f802c5d7a15f0420f46">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const bool <a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; T &gt;::value = decltype(<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html#a4269761a8bcae50110c0814462fc4ef0">test</a>&lt;std::ostream, const T&amp;&gt;(0))::value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
